/*
 * file FolderContentProvider.java
 * 
 * Licensed Materials - Property of IBM
 * Restricted Materials of IBM - you are allowed to copy, modify and 
 * redistribute this file as part of any program that interfaces with 
 * IBM Rational CM API.
 *
 * com.ibm.rational.teamapi.scout.FolderContentProvider
 *
 *  Copyright IBM Corporation 2005, 2008.  All Rights Reserved.
 * Note to U.S. Government Users Restricted Rights:  Use, duplication or 
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */
package com.ibm.rational.teamapi.scout;

import org.eclipse.jface.viewers.ITreeContentProvider;
import org.eclipse.jface.viewers.Viewer;

/**
 * An implementation of ITreeContentProvider for ProxyElement objects.
 * All methods are implemented via direct calls to methods on the ProxyElement
 * being displayed.
 */
public class FolderContentProvider implements ITreeContentProvider {
	/*
	 * @see IContentProvider#dispose()
	 */
	public void dispose() {}
	
	/*
	 * @see ITreeContentProvider#getChildren(Object)
	 */
	public Object[] getChildren(Object parentElement) {
        return ((ProxyElement)parentElement).getChildren();
	}
	
	/*
	 * @see ITreeContentProvider#getParent(Object)
	 */
	public Object getParent(Object element) {
        return ((ProxyElement)element).getParent();
	}

	/*
	 * @see ITreeContentProvider#hasChildren(Object)
	 */
	public boolean hasChildren(Object element) {
        return ((ProxyElement)element).couldBeFolder();
	}

	/*
	 * @see IStructuredContentProvider#getElements(Object)
	 */
	public Object[] getElements(Object inputElement) {
		return getChildren(inputElement);
	}

    /*
     * @see IStructuredContentProvider#inputChanged
     */
    public void inputChanged(
        Viewer viewer,
        Object oldInput,
        Object newInput)
    {
    }
}
