/*
 * file FoldersFirstSorter.java
 * 
 * Licensed Materials - Property of IBM
 * Restricted Materials of IBM - you are allowed to copy, modify and 
 * redistribute this file as part of any program that interfaces with 
 * IBM Rational CM API.
 *
 * com.ibm.rational.teamapi.scout.FoldersFirstSorter
 *
 *  Copyright IBM Corporation 2004, 2008.  All Rights Reserved.
 * Note to U.S. Government Users Restricted Rights:  Use, duplication or 
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */
package com.ibm.rational.teamapi.scout;

import org.eclipse.jface.viewers.ViewerSorter;

/**
 * A ViewSorter that shorts folders in front of non-folders reqardless of name.
 */
public class FoldersFirstSorter extends ViewerSorter {
	/** Orders the items in such a way that Folders appear 
	 * before non-folders. 
     * @see ViewerSorter#category(Object)
     */
	public int category(Object element) {
		return ((ProxyElement)element).isFolder()? 1: 2;
	}
}
